telemetry.internal.util.binary_manager | index telemetry/internal/util/binary_manager.py

`# Copyright 2015 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.`

Modules
`` |  |
catapult_base.dependency_manager telemetry.core.exceptions | logging os | telemetry.core.util |

Functions
`` |  | FetchPath(binary_name, arch, platform) `Return a path to the appropriate executable for <binary_name>, downloading from cloud storage if needed, or None if it cannot be found.` InitDependencyManager(environment_config) LocalPath(binary_name, arch, platform) `Return a local path to the given binary name, or None if an executable cannot be found. Will not download the executable.` NeedsInit()

Data
`` |  | TELEMETRY_PROJECT_CONFIG = '/usr/local/google/home/nednguyen/projects/chromi...metry/telemetry/internal/binary_dependencies.json'